aircrack-ng (1:1.2-0~beta3-4) unstable; urgency=medium

  * Update the paths for the IEEE OUI file on airodump-ng
    to match the ones used now by the package ieee-data.
    (Closes: #771221)

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Fri, 28 Nov 2014 00:48:06 +0100

aircrack-ng (1:1.2-0~beta3-3) unstable; urgency=high

  * Remove useless dh-python from Build-Depends. Check #769285.

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Wed, 12 Nov 2014 17:42:10 +0100

aircrack-ng (1:1.2-0~beta3-2) unstable; urgency=high

  * Fix the following security vulnerabilities: (Closes: #767979)
    * CVE-2014-8321 - GPS stack overflow.
    * CVE-2014-8322 - tcp_test stack overflow.
    * CVE-2014-8323 - buddy-ng missing checkin data format.
    * CVE-2014-8324 - net_get missing check for invalid values.
  * Add missing dh-python package to Build-Depends.

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Tue, 11 Nov 2014 23:41:52 +0100

aircrack-ng (1:1.2-0~beta3-1) unstable; urgency=low

  * New upstream release.
    * Remove all Debian patches that are now merged upstream.
  * Apply: "wrap-and-sort -sa"
  * Build with PCRE: Add support for regular expression matching for ESSID
    in airodump-ng.
  * Build with libgcrypt20 by default, but allow to use libgcrypt11 otherwise.
  * Fix libnl detection (Debian patches 002-fix-libnl-detection.diff and
    003-dont-abort-libnl-nolinux.diff).
  * Add build dependency on libnl-genl-3-dev.
  * Remove airdriver-ng (LP: #499513) (Closes: #449299).
  * Not longer recommend wget, because we don't ship airdriver-ng neither
    airoump-ng-oui-update.
  * Recommend the Debian package ieee-data that contains the OUI data.
    Add Debian patch 001-Airodump_whitespace_oui.diff to correctly parse it.
    Not longer ship airodump-ng-oui-update (Use update-oui instead).
    (Closes: #739199)
  * Switch to debhelper 9 and enable all hardening flags (PIE works now).
  * Update debian/watch and debian/copyright.
  * Upgrade to new standards version.

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Fri, 30 May 2014 19:21:38 +0200

aircrack-ng (1:1.1-6) unstable; urgency=low

  * Remove unused Build-Depends on obsolete libnl-dev (Closes: #688158)
  * Add 019-fix-spelling-manpages.diff (Closes: #697346)
  * Add 020-ignore-negative-one.diff (Adds an option "ignore-negative-one"
    to workaround broken channel handling)
  * Add 021-fix-airodump-ng-oui-update.diff (Recently the oui file included
    some leading spaces that makes it not recognizable by airodump-ng. Fix it)
  * Update airodump-ng-oui.txt file

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Sat, 08 Jun 2013 20:54:58 +0200

aircrack-ng (1:1.1-5) unstable; urgency=low

  * Add 018-workaround-681113-kfreebsd.diff (Really closes: #642698)

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Sat, 28 Jul 2012 01:41:14 +0200

aircrack-ng (1:1.1-4) unstable; urgency=low

  * Rewrote 007-Add-support-for-GnuTLS.patch to 011-add-support-for-gcrypt.diff
    * Removed build-dependency on GnuTLS, now we only build-depend on Libgcrypt
    * Added missing build-depend on zlib1g-dev (it was a dependency of GnuTLS)
    * Changed the Make parameter from gnutls=true to gcrypt=true for coherence
    * Fixes FTBFS on non SSE2 archs (Closes: #680414)
  * Added 012-add-unittest-gcrypt.diff with unittests for double-ensuring that
    patch 011 works as expected on all architectures.
  * Tested sqlite support (Really closes: #610688) (Really closes: #600753)
  * Add 013-fix-hurd-ftbfs.diff (closes: #642698)
  * Add 014-man_page_formatting.diff (Closes: #570986)
  * Add 015-move_to_man8_admin_commands.diff (Closes: #570981)
  * Add 016-fix-ldflags.diff (fixes lintian warning)
  * Add 017-fix-bigendianissues.diff (fixes aircrack-ng on bigendian archs)
  * Update DEP-3 headers on patches {004,005,006,009,010}
  * Refresh patches {005,010}
  * Updated MAC:Vendor mappings (airodump-ng-oui.txt)
  * Updated README.Debian
  * Updated debian/copyright to reflect copyright of patches that introduced
    new files.
  * Simplify debian/rules by using makeflags

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Fri, 27 Jul 2012 19:22:23 +0200

aircrack-ng (1:1.1-3) unstable; urgency=low

  * Summarize the changes introduced on (1:1.1-2) and document how
    to rebuild the package with OpenSSL on file README.Debian

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Mon, 18 Jun 2012 12:13:13 +0200

aircrack-ng (1:1.1-2) unstable; urgency=low

  * New mantainer.
  * Re-upload to unstable (Closes: #642934)
  * Rework debian/*
    Switch debian/rules to dh.
    Switch debian/copyright to machine-readable.
    Add DEP-3 headers to debian/patches/*
  * Remove injection patches from package files. airdriver-ng downloads
    this patches from Internet, so is not needed at all to have
    this files on the package.
  * Include initial pre-downloaded file airodump-ng-oui.txt on package.
  * Add hardening flags.
  * Compile with sqlite support (Closes: #610688) (Closes: #600753)
  * Add 004-fix-license-issues.diff (cherry-pick from svn).
    Fixes copyright issues with src/sha1-sse2.* (Closes: #588588)
  * Add 005-fix-issues-cppcheck-r2008.patch (cherry-pick from svn).
    Fix issues on the code found by cppcheck.
  * Add 006-fix-ftbfs-and-man-path.patch (cherry-pick from svn).
    Fix FTBFS with gcc>=4.6 and fix manpage path.
  * Add 007-Add-support-for-GnuTLS.patch
    Add support for GnuTLS and link against GnuTLS.
    Fix issues with GPL and OpenSSL licenses.
  * Add 008-fix_path_airodump-ng-oui.patch.
    Fix paths to file airodump-ng-oui.txt on airodump-ng and script
    airodump-ng-oui-update.
  * Add 009-airodump-ng-oui-update-manpage.patch (cherry-pick from svn).
    Include manpage for script airodump-ng-oui-update.
  * Add 010-add-freebsd-support.patch
    Add support for GNU/kFreeBSD (Closes: #642698)
  * Update Standards-Version to 3.9.2

 -- Carlos Alberto Lopez Perez <clopez@igalia.com>  Sat, 16 Jun 2012 22:22:22 +0200

aircrack-ng (1:1.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed FTBFS on sparc due to incorrect detection of Solaris OS
   (closes: #590765).

 -- Giovanni Mascellani <gio@debian.org>  Sat, 02 Oct 2010 19:23:51 +0200

aircrack-ng (1:1.1-1) unstable; urgency=low

  * New upstream release (Closes: #582658):
    - Fix a buffer overflow (Closes: #577758),
    - Fix compilation errors (Closes: #546312).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump Standards-Version to 3.8.4.
  * Add missing ${misc:Depends}.
  * Fix airodump-ng manpage (Closes: #570982).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 31 May 2010 18:34:37 +0200

aircrack-ng (1:1.0-1) unstable; urgency=low

  * New upstream release (Closes: #546312).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 27 Sep 2009 17:10:42 +0200

aircrack-ng (1:1.0~rc4-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3.
  * Add README.source.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 28 Aug 2009 22:18:13 +0200

aircrack-ng (1:1.0~rc3-2) unstable; urgency=low

  * Build and install "unstable" tools like wessid-ng and eassid-ng
    (Closes: #527950).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 11 May 2009 16:03:50 +0200

aircrack-ng (1:1.0~rc3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version.
  * Drop 001-64bits_assembly_fixes patch, fixed upstream.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 31 Mar 2009 09:34:57 +0200

aircrack-ng (1:1.0~rc2-1) unstable; urgency=low

  * New upstream release (Closes: #512924).
  * Do not ship iw anymore, it now has its own package (Closes: #499246).
  * Update debian/copyright.
  * Apply upstream patch to fix assembly code on amd64.
  * Bump debhelper b-dep.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 10 Mar 2009 21:38:26 +0100

aircrack-ng (1:1.0~rc1-2) unstable; urgency=low

  * Includes "iw" tool which is needed for mac80211 (Closes: #490083).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 09 Jul 2008 21:06:56 +0200

aircrack-ng (1:1.0~rc1-1) unstable; urgency=low

  * New upstream release (Closes: #488419).
  * Bump Standards-Version to 3.8.0.
  * Drop patches, merged upstream.
  * Airmon-ng uses bash interpreter (Closes: #486025).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sat, 05 Jul 2008 19:31:27 +0200

aircrack-ng (1:1.0~beta2-2) unstable; urgency=low

  * Fix airmon-ng bashisms (Closes: #464487).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 01 Apr 2008 23:18:05 +0200

aircrack-ng (1:1.0~beta2-1) unstable; urgency=low

  * New upstream release (Closes: #464204).
  * Drop 000-Fix_manpages_typos patch, fixed upstream.
  * Drop 001-Fix_short_desc_in_manpages patch, fixed upstream.
  * Drop dpatch build dependency, not used anymore.
  * Bump Standards-Version to 3.7.3.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 06 Feb 2008 19:25:55 +0100

aircrack-ng (1:1.0~beta1-1) unstable; urgency=low

  * New upstream release.
  * Drop old aircrack transional package.
  * Add new b-d against OpenSSL and SQLite.
  * Update README.Debian.
  * Add some examples test files and README.
  * Add 000-Fix_manpages_typos patch.
  * Use DESTDIR variable to make debian/rules looks cleaner.
  * Update debian/copyright.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 19 Oct 2007 23:27:03 +0200

aircrack-ng (1:0.9.1-1) unstable; urgency=low

  * New upstream release:
    - airodump: fix terminal restore bug (Closes: #417388).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 29 Jun 2007 23:02:59 +0200

aircrack-ng (1:0.9-1) unstable; urgency=low

  * New upstream release.
    - aircrack-ng now implements PTW attack, check "-z" !

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 14 May 2007 19:46:17 +0200

aircrack-ng (1:0.8-1) unstable; urgency=low

  * New upstream release.
    - Drop 000-Remote_exploitable_buffer_overflow patch, fixed upstream.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 26 Apr 2007 08:45:17 +0200

aircrack-ng (1:0.7-3) unstable; urgency=HIGH

  * Fix a remote exploitable buffer overflow in airodump-ng.
    See: Secunia #SA24880

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Fri, 20 Apr 2007 09:17:01 +0200

aircrack-ng (1:0.7-2) unstable; urgency=low

  * Uploading to unstable.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 09 Apr 2007 00:05:56 +0200

aircrack-ng (1:0.7-1) experimental; urgency=low

  * New upstream release (Closes: #390143).
  * Remove various small hacks (fixed upstream).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sat, 20 Jan 2007 23:04:43 +0100

aircrack-ng (1:0.6.2-7) unstable; urgency=low

  * Depends on wireless-tools (Closes: #406925).
  * Fix typo in airodump manpage (Closes: #393540).
  * Sync kernel(-modules) patches (Closes: #406490).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 15 Jan 2007 09:56:38 +0100

aircrack-ng (1:0.6.2-6) unstable; urgency=low

  * Rename README.Debian to aircrack-ng.README.Debian.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed,  6 Dec 2006 11:09:49 +0100

aircrack-ng (1:0.6.2-5) unstable; urgency=low

  * Fix issues with 802.11e QoS packets, thanks to Christian Mock (Closes: #400775).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 28 Nov 2006 19:22:05 +0100

aircrack-ng (1:0.6.2-4) unstable; urgency=low

  * Fix airdecap bug and aireplay with chopcop (Closes: #399674).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 21 Nov 2006 19:51:23 +0100

aircrack-ng (1:0.6.2-3) unstable; urgency=low

  * Call dh_* with -i in binary-indep, thanks jb ;-) (Closes: #397055).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sat,  4 Nov 2006 20:05:25 +0100

aircrack-ng (1:0.6.2-2) unstable; urgency=low

  * Merge several patches taken from the aircrack-ng forum:
    - 000-aircrack-ng_wepdict
    - 001-airodump-ng_filter
    - 002-airodump-ng_wepwedgie
    - 003-airodump-ng_encryption
    - 004-airodump-ng_rxquality
    - 005-airodump-ng_ssid_length

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 18 Oct 2006 00:33:01 +0200

aircrack-ng (1:0.6.2-1) unstable; urgency=low

  * New upstream release.
  * Switch to /bin/bash in airmon-ng because of bashisms (Closes: #390673).
  * Fix typo in airodump manpage (Closes: #390142).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue,  3 Oct 2006 00:36:32 +0200

aircrack-ng (1:0.6.1-2) unstable; urgency=low

  * Add an epoch to version (for dummy aircrack package).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed,  6 Sep 2006 19:07:31 +0200

aircrack-ng (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * Write makeivs manpage.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun,  3 Sep 2006 04:26:30 +0200

aircrack-ng (0.6-2) unstable; urgency=low

  * Add license infos about debian packaging.
  * New dummy aircrack package for transition.
    (Thanks to David Martínez Moreno)

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 15 Aug 2006 18:00:49 +0200

aircrack-ng (0.6-1) unstable; urgency=low

  * New upstream release.
  * Remove kstats manpages (fixed upstream).
  * Remove dpatch build dep and all patches (fixed upstream).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sat, 24 Jun 2006 13:46:39 +0200

aircrack-ng (0.5-2) unstable; urgency=low

  * Fix a minor error in long description (Closes: #366792)
  * Downgrade build-depends to debhelper (>= 4.0.0) to allow backporting.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 30 May 2006 19:54:17 +0200

aircrack-ng (0.5-1) unstable; urgency=low

  * New upstream release.
  * Include dpatch.make instead of defining patch and unptach targets.
  * Add description of the patches.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun,  7 May 2006 18:50:47 +0200

aircrack-ng (0.4.4-1) unstable; urgency=low

  * New upstream release.
  * Write a manpage for the new binary (kstats).
  * Add debian/watch.
  * Switch to dpatch.
  * ivstools now uses the same syntax as aircrack-ng (Closes: #365675).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 26 Apr 2006 23:39:15 +0200

aircrack-ng (0.3-1) unstable; urgency=low

  * Initial release Closes: #358020.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun,  9 Apr 2006 00:25:05 +0200
